com.genesyslab.wfm8.API.service.config852

## Class CfgProfile

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgProfile

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfile
      extends java.lang.Object
      implements java.io.Serializable

  Profile Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBUId`
    `protected int` | `wmContractId`
    `protected java.lang.String` | `wmName`
    `protected java.util.List<java.lang.Integer>` | `wmProfileActivities`
    `protected int` | `wmProfileActivitiesNSizeIs`
    `protected int` | `wmProfileId`
    `protected java.util.List<CfgProfileSkill>` | `wmProfileSkills`
    `protected int` | `wmProfileSkillsNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<java.lang.Integer>` | `getWmProfileActivities()` Gets the value of the wmProfileActivities property.
    `int` | `getWmProfileActivitiesNSizeIs()` Gets the value of the wmProfileActivitiesNSizeIs property.
    `int` | `getWmProfileId()` Gets the value of the wmProfileId property.
    `java.util.List<CfgProfileSkill>` | `getWmProfileSkills()` Gets the value of the wmProfileSkills property.
    `int` | `getWmProfileSkillsNSizeIs()` Gets the value of the wmProfileSkillsNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmProfileActivities(java.util.List<java.lang.Integer> wmProfileActivities)` Sets the value of the wmProfileActivities property.
    `void` | `setWmProfileActivitiesNSizeIs(int value)` Sets the value of the wmProfileActivitiesNSizeIs property.
    `void` | `setWmProfileId(int value)` Sets the value of the wmProfileId property.
    `void` | `setWmProfileSkills(java.util.List<CfgProfileSkill> wmProfileSkills)` Sets the value of the wmProfileSkills property.
    `void` | `setWmProfileSkillsNSizeIs(int value)` Sets the value of the wmProfileSkillsNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgProfile` | `withTimestamp(long value)`
    `CfgProfile` | `withWmBUId(int value)`
    `CfgProfile` | `withWmContractId(int value)`
    `CfgProfile` | `withWmName(java.lang.String value)`
    `CfgProfile` | `withWmProfileActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgProfile` | `withWmProfileActivities(java.lang.Integer... values)`
    `CfgProfile` | `withWmProfileActivitiesNSizeIs(int value)`
    `CfgProfile` | `withWmProfileId(int value)`
    `CfgProfile` | `withWmProfileSkills(CfgProfileSkill... values)`
    `CfgProfile` | `withWmProfileSkills(java.util.Collection<CfgProfileSkill> values)`
    `CfgProfile` | `withWmProfileSkillsNSizeIs(int value)`
    `CfgProfile` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgProfile` | `withWmSiteId(java.lang.Integer... values)`
    `CfgProfile` | `withWmSiteIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmProfileId

          protected int wmProfileId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmContractId

          protected int wmContractId

    - #### wmName

          protected java.lang.String wmName

    - #### wmProfileSkillsNSizeIs

          protected int wmProfileSkillsNSizeIs

    - #### wmProfileSkills

          protected java.util.List<CfgProfileSkill> wmProfileSkills

    - #### wmProfileActivitiesNSizeIs

          protected int wmProfileActivitiesNSizeIs

    - #### wmProfileActivities

          protected java.util.List<java.lang.Integer> wmProfileActivities

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgProfile

          public CfgProfile()

  - ### Method Detail

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the value of the wmProfileId property.

    - #### setWmProfileId

          public void setWmProfileId(int value)

      Sets the value of the wmProfileId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmProfileSkillsNSizeIs

          public int getWmProfileSkillsNSizeIs()

      Gets the value of the wmProfileSkillsNSizeIs property.

    - #### setWmProfileSkillsNSizeIs

          public void setWmProfileSkillsNSizeIs(int value)

      Sets the value of the wmProfileSkillsNSizeIs property.

    - #### getWmProfileSkills

          public java.util.List<CfgProfileSkill> getWmProfileSkills()

      Gets the value of the wmProfileSkills property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmProfileSkills property.

      For example, to add a new item, do as follows:

              getWmProfileSkills().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgProfileSkill`

    - #### getWmProfileActivitiesNSizeIs

          public int getWmProfileActivitiesNSizeIs()

      Gets the value of the wmProfileActivitiesNSizeIs property.

    - #### setWmProfileActivitiesNSizeIs

          public void setWmProfileActivitiesNSizeIs(int value)

      Sets the value of the wmProfileActivitiesNSizeIs property.

    - #### getWmProfileActivities

          public java.util.List<java.lang.Integer> getWmProfileActivities()

      Gets the value of the wmProfileActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmProfileActivities property.

      For example, to add a new item, do as follows:

              getWmProfileActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmProfileId

          public CfgProfile withWmProfileId(int value)

    - #### withWmBUId

          public CfgProfile withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgProfile withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgProfile withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgProfile withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmContractId

          public CfgProfile withWmContractId(int value)

    - #### withWmName

          public CfgProfile withWmName(java.lang.String value)

    - #### withWmProfileSkillsNSizeIs

          public CfgProfile withWmProfileSkillsNSizeIs(int value)

    - #### withWmProfileSkills

          public CfgProfile withWmProfileSkills(CfgProfileSkill... values)

    - #### withWmProfileSkills

          public CfgProfile withWmProfileSkills(java.util.Collection<CfgProfileSkill> values)

    - #### withWmProfileActivitiesNSizeIs

          public CfgProfile withWmProfileActivitiesNSizeIs(int value)

    - #### withWmProfileActivities

          public CfgProfile withWmProfileActivities(java.lang.Integer... values)

    - #### withWmProfileActivities

          public CfgProfile withWmProfileActivities(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgProfile withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmProfileSkills

          public void setWmProfileSkills(java.util.List<CfgProfileSkill> wmProfileSkills)

      Sets the value of the wmProfileSkills property.
      Parameters:
        `wmProfileSkills` - allowed object is `CfgProfileSkill`

    - #### setWmProfileActivities

          public void setWmProfileActivities(java.util.List<java.lang.Integer> wmProfileActivities)

      Sets the value of the wmProfileActivities property.
      Parameters:
        `wmProfileActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.